Bug 658736 - XServer crashes.
Summary: XServer crashes.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pixman
Version: 13
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 05:34 UTC by Wendell Baker
Modified: 2018-04-11 08:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-28 10:16:20 UTC
Type: ---


Attachments (Terms of Use)
Showing the final message where it's hung (94.25 KB, text/plain)
2010-12-01 05:34 UTC, Wendell Baker
no flags Details
A previous instance of the failure (824.10 KB, text/plain)
2010-12-01 05:35 UTC, Wendell Baker
no flags Details
dmesg output (45.41 KB, text/plain)
2010-12-01 05:36 UTC, Wendell Baker
no flags Details
lspci output (1.56 KB, text/plain)
2010-12-01 05:37 UTC, Wendell Baker
no flags Details

Description Wendell Baker 2010-12-01 05:34:23 UTC
Created attachment 463900 [details]
Showing the final message where it's hung

Description of problem:
X hangs with the message in Xorg.0.log
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

This happend a lot on this hardware through Fedora 10 (I skipped up to F13).  I though this was "cured" since it didn't happen at all for half a year.  Now twice in one day after an upgrade

Version-Release number of selected component (if applicable):
$ rpm -q -a | grep xorg
xorg-x11-drv-vesa-2.3.0-1.fc13.i686
xorg-x11-drv-mga-1.4.11-2.fc13.i686
xorg-x11-drv-apm-1.2.2-1.fc12.i686
xorg-x11-resutils-7.1-10.fc13.i686
xorg-x11-fonts-75dpi-7.2-9.fc12.noarch
xorg-x11-drv-cirrus-1.3.2-2.fc13.i686
xorg-x11-drv-savage-2.3.1-2.fc13.i686
xorg-x11-docs-1.3-6.fc12.noarch
xorg-x11-drv-sis-0.10.2-2.fc13.i686
xorg-x11-xtrans-devel-1.2.2-4.fc12.noarch
xorg-x11-drv-siliconmotion-1.7.3-3.20100122.fc13.i686
xorg-x11-server-Xephyr-1.8.2-4.fc13.i686
xorg-x11-apps-7.4-14.fc13.i686
xorg-x11-drv-penmount-1.4.0-6.fc13.i686
xorg-x11-drv-acecad-1.4.0-3.fc13.i686
xorg-x11-fonts-ISO8859-1-75dpi-7.2-9.fc12.noarch
xorg-x11-drv-i128-1.3.3-2.fc13.i686
xorg-x11-server-Xvfb-1.8.2-4.fc13.i686
xorg-x11-drv-voodoo-1.2.3-2.fc13.i686
xorg-x11-drv-i740-1.3.2-2.fc13.i686
xorg-x11-xauth-1.0.2-7.fc12.i686
xorg-x11-drv-mach64-6.8.2-2.fc13.i686
xorg-x11-drv-v4l-0.2.0-4.fc13.1.i686
xorg-x11-xkb-utils-7.4-7.fc13.i686
xorg-x11-server-common-1.8.2-4.fc13.i686
xorg-x11-server-Xnest-1.8.2-4.fc13.i686
xorg-x11-drv-geode-2.11.4.1-2.fc13.i686
xorg-x11-drv-mouse-1.5.0-4.fc13.i686
xorg-x11-drv-wacom-0.10.8-2.fc13.i686
xorg-x11-drv-intel-2.11.0-5.fc13.i686
xorg-x11-drv-nv-2.1.15-5.fc13.i686
xorg-x11-drv-sisusb-0.9.3-2.fc13.i686
xorg-x11-drv-evdev-2.4.0-2.fc13.i686
xorg-x11-drv-openchrome-0.2.904-2.fc13.i686
xorg-x11-drv-mutouch-1.2.1-6.fc13.i686
xorg-x11-drv-nouveau-0.0.16-8.20100423git13c1043.fc13.i686
xorg-x11-drv-aiptek-1.3.0-3.fc13.i686
xorg-x11-drv-neomagic-1.2.4-3.fc13.i686
xorg-x11-drv-fpit-1.3.0-10.fc13.i686
xorg-x11-drv-fbdev-0.4.1-3.fc13.i686
xorg-x11-drv-void-1.3.0-5.fc13.i686
xorg-x11-drv-hyperpen-1.3.0-4.fc13.i686
xorg-x11-drv-vmmouse-12.6.9-4.fc13.i686
xorg-x11-drv-rendition-4.2.2-5.fc13.i686
xorg-x11-drv-r128-6.8.1-3.fc13.i686
xorg-x11-drv-dummy-0.3.3-2.fc13.i686
xorg-x11-utils-7.4-9.fc13.i686
xorg-x11-fonts-ISO8859-1-100dpi-7.2-9.fc12.noarch
xorg-x11-proto-devel-7.4-36.fc13.noarch
xorg-x11-fonts-misc-7.2-9.fc12.noarch
xorg-x11-drv-ati-6.13.0-1.fc13.i686
xorg-x11-drv-elographics-1.2.4-1.fc13.i686
xorg-x11-xdm-1.1.6-18.fc13.i686
xorg-x11-drv-s3virge-1.10.4-2.fc13.i686
xorg-x11-drv-synaptics-1.2.2-6.fc13.i686
xorg-x11-util-macros-1.10.0-1.fc13.noarch
xorg-x11-font-utils-7.2-11.fc13.i686
xorg-x11-drv-vmware-10.16.7-3.fc13.i686
xorg-x11-drv-tdfx-1.4.3-2.fc13.i686
xorg-x11-drv-glint-1.2.4-2.fc13.i686
xorg-x11-drivers-7.3-14.fc13.i686
xorg-x11-drv-ast-0.89.9-1.fc12.i686
xorg-x11-xinit-1.0.9-18.fc13.i686
xorg-x11-server-Xorg-1.8.2-4.fc13.i686
xorg-x11-server-utils-7.4-16.fc13.i686
xorg-x11-drv-trident-1.3.3-2.fc13.i686
xorg-x11-drv-keyboard-1.4.0-4.fc13.i686


How reproducible:
Not deterministically reproducible.
It seems to occur when there is a flurry of window events and mouse events and so forth.  For example, once it occurred when I pressed the "restore session" button in Firefox and fired up eighty or so tabs.  That is not a repeatable technique, but it did reproduce twice tonight.

Steps to Reproduce:
1. stress the X server
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Wendell Baker 2010-12-01 05:35:38 UTC
Created attachment 463901 [details]
A previous instance of the failure

Comment 2 Wendell Baker 2010-12-01 05:36:09 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=605432
But I'm using Intel GPUs not Nvidia

Comment 3 Wendell Baker 2010-12-01 05:36:36 UTC
Created attachment 463902 [details]
dmesg output

Comment 4 Wendell Baker 2010-12-01 05:37:00 UTC
Created attachment 463903 [details]
lspci output

Comment 5 Matěj Cepl 2010-12-01 07:33:44 UTC
Note that the message "EQ overflowing ..." is a red herring and mostly meaningless. What matters is this backtrace:

Backtrace:
[  5424.072] 0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80acedc]
[  5424.072] 1: /usr/bin/Xorg (mieqEnqueue+0x1b7) [0x809e2c7]
[  5424.072] 2: /usr/bin/Xorg (xf86PostMotionEventP+0xd2) [0x80bcdc2]
[  5424.072] 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x146000+0x30a2) [0x1490a2]
[  5424.072] 4: /usr/lib/xorg/modules/input/evdev_drv.so (0x146000+0x3349) [0x149349]
[  5424.072] 5: /usr/bin/Xorg (0x8047000+0x82800) [0x80c9800]
[  5424.072] 6: /usr/bin/Xorg (0x8047000+0x11b354) [0x8162354]
[  5424.072] 7: (vdso) (__kernel_sigreturn+0x0) [0xc1b400]
[  5424.072] 8: /usr/bin/Xorg (0x8047000+0x66090) [0x80ad090]
[  5424.072] 9: (vdso) (__kernel_sigreturn+0x0) [0xc1b400]
[  5424.072] 10: /usr/lib/libpixman-1.so.0 (0x6aa1000+0x52600) [0x6af3600]
[  5424.072] 11: /usr/lib/libpixman-1.so.0 (0x6aa1000+0x5afbb) [0x6afbfbb]
[  5424.072] 12: /usr/lib/libpixman-1.so.0 (0x6aa1000+0x15e34) [0x6ab6e34]
[  5424.072] 13: /usr/lib/libpixman-1.so.0 (pixman_blt+0x79) [0x6adc159]
[  5424.072] 14: /usr/lib/xorg/modules/libfb.so (fbCopyNtoN+0x24d) [0xbb5c4d]
[  5424.072] 15: /usr/lib/xorg/modules/drivers/intel_drv.so (0xf2f000+0x3a340) [0xf69340]
[  5424.072] 16: /usr/bin/Xorg (miCopyRegion+0x213) [0x81bd223]
[  5424.072] 17: /usr/bin/Xorg (miDoCopy+0x46d) [0x81bd76d]
[  5424.072] 18: /usr/lib/xorg/modules/drivers/intel_drv.so (0xf2f000+0x39b89) [0xf68b89]
[  5424.073] 19: /usr/bin/Xorg (0x8047000+0xe11c4) [0x81281c4]
[  5424.073] 20: /usr/bin/Xorg (0x8047000+0x2578d) [0x806c78d]
[  5424.073] 21: /usr/bin/Xorg (0x8047000+0x26ef7) [0x806def7]
[  5424.073] 22: /usr/bin/Xorg (0x8047000+0x1b595) [0x8062595]
[  5424.073] 23: /lib/libc.so.6 (__libc_start_main+0xe6) [0x8d4cc6]
[  5424.073] 24: /usr/bin/Xorg (0x8047000+0x1b181) [0x8062181]

Comment 6 Bug Zapper 2011-05-30 13:14:52 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2011-06-28 10:16:20 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.